Get RFQ Trades

Get a list of recent Block RFQ trades from the past 7 days, optionally filtered by currency.

Endpoint

POST /api/block/rfqs/get_trades

Parameters

Parameter Type Required Description
currency string true The currency symbol or "any" for all
continuation string false Continuation token for pagination. Consists of timestamp and blockRfqId
count integer false Count of Block RFQs returned

Request Example

{
  "rid": 60001,
  "method": "block/rfqs/get_trades",
  "params": {
    "currency": "BTC",
    "continuation": null,
    "count": 10
  }
}

Response

Name Type Description
continuation string Continuation token for pagination. NULL when no continuation. Consists of timestamp and blockRfqId
results array Array of trade objects
> blockRfqId string ID of the Block RFQ
> quantity string This value multiplied by the ratio of a leg gives trade size on that leg
> comboId string Optional field containing combo instrument name if the trade is a combo trade
> side string Direction: buy or sell
> legs array Array of leg objects
>> instrumentName string Instrument name
>> side string Direction: buy or sell
>> price string Price for a leg
>> ratio string Ratio of amount between legs
> markPrice string Mark Price at the moment of trade
> timestamp long The timestamp of the trade (milliseconds since the UNIX epoch)
> hedge object Hedge leg information
>> instrumentName string Instrument name
>> quantity string It represents the requested trade size. For perpetual and inverse futures the amount is in USD units. For options and linear futures and it is the underlying base currency coin
>> side string Direction: buy or sell
>> price string Hedge leg price
> trades array Array of trade detail objects
>> quantity string Trade amount. For options, linear futures, linear perpetuals and spots the amount is denominated in the underlying base currency coin. The inverse perpetuals and inverse futures are denominated in USD units
>> side string Direction: buy or sell
>> hedgeQuantity string Amount of the hedge leg. For linear futures, linear perpetuals and spots the amount is denominated in the underlying base currency coin. The inverse perpetuals and inverse futures are denominated in USD units
>> price string Price in base currency

Response Example

{
  "rid": 60001,
  "result": {
    "continuation": "1755073131930:251536",
    "results": [
      {
        "blockRfqId": "251536",
        "quantity": "25.0",
        "comboId": "BTC-CS-26JUN26-250000_300000",
        "side": "sell",
        "legs": [
          {
            "instrumentName": "BTC-26JUN26-250000-C",
            "ratio": "1",
            "side": "buy",
            "price": "0.04"
          },
          {
            "instrumentName": "BTC-26JUN26-300000-C",
            "ratio": "1",
            "side": "sell",
            "price": "0.02"
          }
        ],
        "markPrice": "0.02822437",
        "timestamp": 1755073131930,
        "trades": [
          {
            "quantity": "25.0",
            "side": "sell",
            "price": "0.02"
          }
        ]
      }
    ]
  }
}

results matching ""

    No results matching ""